Subject: Forward: Bug Found in Microsoft's Java Machine

From: "Remek Trzaska" <[email-masked]>
Date: Wed, 2 Feb 2000 16:29:35 -0500

Bug Found in Microsoft's Java Machine
By Aaron Dobbins, eFront
February 2nd, 2000, 4:22 PM

A bug was found in Microsoft's Java Machine this week that allows a
potential hacker to steal files from Web visitors using Internet Explorer
versions 4, 5, and 5.01 that have the Microsoft Java Machine activated. By
inserting a single line of code into a Java applet and embedding it into a
Web page, a malicious host can make the applet read certain files on the
users computer and transfer them to a Web server, or forward them as e-mail
attachments. The discoverer, Dr. Hiromitsu Takagi of the Japanese Ministry
of International Trade and Industry, knows that this bug is very serious
because "attacking applets can be implemented too much easily." He
recommends that users turn off the Java Virtual Machine for now, until
Microsoft releases a patch for the problem.

Remek Trzaska
NPAC @ Syracuse University